package com.wechi.adweb.bridge.google.analytics.dto;

import lombok.Data;

/**
 * @author wfansh
 */
@Data
public class GAReportRequestDTO {
    public static final char DEFAULT_SPLITTER = ',';

    private String propertyName;

    private String startDate;

    private String endDate;

    private String metrics;

    private String dimensions;

    private String orderBy;

    private OrderByType orderByType;

    private boolean orderByDesc;

    private String type;

    public enum OrderByType {
        METRICS,
        DIMENSIONS
    }
}
